function setup()
	for i = 1, 3 do
		room.addActor()
		actor.setIcon("icongravitywell.png")
		actor.addTerrain("terrain_blackhole")
		actor.setRGB(200,100,100)
		actor.scale = .5 + (16.0 / math.random(5,20))
		actor.rot = math.random(0,359)
		--actor.alpha = (6 / math.random(30,50))
		actor.jitterPlacement = 1
		actor.dist = .90 + (math.random(0,20)/100)
		actor.behavior = "slowspin"
		
		room.addActor()
		actor.setIcon("icongravitywell.png")
		actor.addTerrain("terrain_blackpeak")
		actor.setRGB(100,100,200)
		actor.scale = .5 + (16.0 / math.random(5,20))
		actor.rot = math.random(0,359)
		--actor.alpha = (6 / math.random(30,50))
		actor.jitterPlacement = 1
		actor.dist = .90 + (math.random(0,20)/100)
		actor.behavior = "slowspin"
	end
	
	actor.nodeName = "GRAVITATIONAL ANOMOLIES"
end